> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bliper.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bloquear/Desbloquear Contato

> Bloqueia ou desbloqueia um contato

## Descrição

Bloqueia ou desbloqueia um contato na instância.

## Request

### Headers

```
Client-Token: SEU_CLIENT_TOKEN
Content-Type: application/json
```

### Body

```json theme={null}
{
  "phone": "5511999999999",
  "action": "block"
}
```

| Campo    | Tipo   | Obrigatório | Descrição                                         |
| -------- | ------ | ----------- | ------------------------------------------------- |
| `phone`  | string | Sim         | Número de telefone no formato DDI+DDD+número      |
| `action` | string | Sim         | `block` para bloquear, `unblock` para desbloquear |

## Response

### Sucesso (200)

```json theme={null}
{
  "success": true
}
```

## Exemplo cURL

```bash theme={null}
curl -X POST 'https://api.bliper.io/instances/{INSTANCE_ID}/token/{INSTANCE_TOKEN}/contacts/modify-blocked' \
  -H 'Client-Token: SEU_CLIENT_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"phone": "5511999999999", "action": "block"}'
```
